
#import <Foundation/Foundation.h>

@interface NSArray(NSArrayAdditions)

+ lineArrayFromTextFile:(NSString *)path;
+ (NSArray *)parseList:(NSString *)aList;

- (BOOL)writeLinesToTextFile:(NSString *)aPath;

- (void)makeObjectsPerform:(SEL)aSelector withObject:anObject;
- (NSString *)textDescription;

- firstFor:(SEL)aSel equalToStringValue:(NSString *)aString;
- firstFor:(SEL)aSel equalToIntValue:(int)anInt;
- firstReturningTrueFor:(SEL)aSel withObject:anObject;
- firstReturningTrueFor:(SEL)aSel;
- (void)makeObjectsPerform:(SEL)aSelector withObject:anObject withObject:anotherObject;
- (void)send:(SEL)aSelector toObjectsReturningTrueFor:(SEL)qualifierSelector;

- (NSArray *)intersectWithArray: (NSArray *)otherArray;
- (NSArray *)unionWithArray: (NSArray *)otherArray;

@end

@interface NSMutableArray(NSMutableArrayAdditions)

- (BOOL)addObjectIfAbsent:anObject;
- (void)addObjectsFromArrayIfAbsent:(NSArray *)otherArray;

@end

