#import <Foundation/Foundation.h>
#import <time.h>


@interface NSCalendarDate (NSCalendarDateAdditions)

+ dateWithUnixTime:(time_t)unixTime;
	// Returns an NSCalendarDate object that is initialized with the
	// given date which is in UNIX time_t format (see ctime(3))
		
- initWithUnixTime:(time_t)unixTime;
	// Initializes the receier to the given time which is in UNIX
	// time_t format (see ctime(3))

- (time_t)unixTime;		// Returns date as a UNIX time_t value.

- (NSCalendarDate *)beginningOfDay;
    // Returns a date object that is at the start of the receiver's day
    // i.e. 00:00:00

- initToYesterday;
    // Returns a date object that is 24 behind the receivers current time
- initToNow;

- (NSCalendarDate *)dateByAddingMonths:(int)months;
- (NSCalendarDate *)dateByAddingMonths:(int)months days:(int)days;

@end

