/* NSFileHandleAdditions.h created by vrobi on Thu 30-Jan-1997 */

#import <Foundation/Foundation.h>
#import "GlobalDefines.h"

@interface RBFileHandle : NSObject
{
int readFD, writeFD, handleStatus, isPersistent;
unsigned long _lastTouched;
id delegate;
}

+ newWithReadFD:(int)rfd writeFD:(int)wfd;
- (void)shutdownConnection;
- (void)closeFile;
- (int)writeData:(NSData *)aData;
- (NSData *)readDataOfLength:(int)length;
- (int)appendData:(NSMutableData *)aData withLength:(int)length
       needStdout:(BOOL)ndstdout encoded:(BOOL)encoded;
- (NSData *)readWithBufLength:(int)length needStdout:(BOOL)ndstdout encoded:(BOOL)encoded;
- (NSString *)readStringWithBufLength:(int)length
                 enc:(NSStringEncoding)externalEncoding
                 needStdout:(BOOL)ndstdout uuencoded:(BOOL)encoded;
- (int)readInt:(int)intSize;
- (NSString *)readStringWithLength:(int)length;
- (NSString *)readString:(int)intSize;
- (BOOL)isValidHandle;
- (int)hasTimedOut:(int)timelimit;

- (int)writeInt:(int)anInt size:(int)intSize;
- (int)writeString:(NSString *)aString intSize:(int)intSize;
- (BOOL)writeStringObject:(NSString *)aString;

DECNP_SET_GET(int, readFD);
DECNP_SET_GET(int, writeFD);
DECNP_SET_GET(int, handleStatus);
DECNP_SET_GET(int, isPersistent);
DECNP_SET_GET(id,delegate);

@end
