
/* STAppController.h - written by Robert Vasvari 6/94 */

#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>
#import "STDefines.h"

@interface STAppController:NSObject
{
	NSMutableArray *docArray; //contains all open document objects
	id currentDoc;	 //document that has the key window
	id prefManager;
	id inspectorManager;
	id infoPanel;
	id versionText;			// displays app version in the InfoPanel
	NSString *appVersion;	// a version description for the application
	NSZone *controllerZone; //used to allocate all global stuff
	id accessoryView; //in the save panel
	id appServer; //the server object for the app. Used for redirection

	/* menu cells */
	id documentMenu;
	id toolsMenu;
	id editMenu;
	id windowsMiniaturize;
	id windowsClose;
	id editDelete;
}

/* ==== init section ==== */
- init;
- (void)applicationDidFinishLaunching:(NSNotification *)notification;

/* ==== document management section ==== */
- (void)openFile:(id)sender;
- documentClass;
- (NSArray *)docExtensions;
- createDocumentObjectOfClass:aClass;
- openDocument:(NSString *)aPath;
- newDocument:sender;
- newDocumentOfClass:aClass;
- (void)save:sender;
- (void)saveAs:sender;
- (BOOL)writeToFile:(id)sender;
- (void)saveAll:sender;
- (void)revert:sender;
- (void)close:sender;
- (void)freeDoc:aDoc;
- findDocWithPath:(NSString *)aPath;
- findDocWithTag:(int)aTag;
- (void)showAllDocuments:sender;

/* ==== panels ==== */
- (void)getPrefsPanel:sender;
- (void)getInspectorPanel:sender;
- (BOOL)getInspectorPanelWithScreen:(int)aScreen;
- (void)getInfoPanel:sender;

/* ==== access to instance variables ==== */
- (void)setCurrentDoc:aDoc;
- currentDoc;
- (NSZone *)controllerZone;
- (NSString *) appVersion;
- (void)setAppVersion:(NSString *)newValue;
- appServer;
- (void)setAppServer:anObject;

/* ==== application delegate methods ==== */
- (BOOL)application:sender openFile:(NSString *)path;
- (BOOL)applicationShouldTerminate:(id)sender;


@end
